Subject: Re: [Bitcoin-development] Proposal: remove "getwork" RPC from bitcoind

From: "Warren Togami Jr." <[email-masked]>
Date: Mon, 19 Aug 2013 13:30:21 -1000

Hence ship a miner that automatically reads the bitcoin.conf to find the
RPC authentication info.  It would be faster and more efficient than the
unoptimized miner while simplifying the bitcoind code.  Win for everyone.

Warren

On Mon, Aug 19, 2013 at 1:02 PM, Andreas Schildbach
<[email-masked]>wrote:

> On 08/19/2013 10:34 PM, Jeff Garzik wrote:
>
> >> FWIW, Litecoin 0.8.x entirely removed the internal miner and we warned
> >> people that getwork will be removed in the next major version.
>  Pooler's CPU
> >> minerd which supports both sha256d and scrypt recently grew stratum
> support.
> >> Perhaps he could be convinced to add GBT support too, which would help
> this
> >> goal of completely removing the internal miner and getwork.
> >
> > The internal miner is still actively used for testnet, here.
>
> Here, too. If I'm too impatient to wait for the next block that is.
>
> I think it'd be a pity if the easy way to mine blocks would be removed.
>
>
>
>
> ------------------------------------------------------------------------------
> Introducing Performance Central, a new site from SourceForge and
> AppDynamics. Performance Central is your source for news, insights,
> analysis and resources for efficient Application Performance Management.
> Visit us today!
> http://pubads.g.doubleclick.net/gampad/clk?id=48897511&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>